jQuery(function ($) {

    // Getting links from a page and turning them into a scroll-spy bespoke menu

    // FIXME when page loads with #... in url, the scroll spy gets messed up. 

    let links;

    links = document.querySelectorAll("#one, #two, #three, #four, #fivenav_menu-7")

    let url = window.location.href;

    let innerContent = "";

    links.forEach(link => {
        let fullUrl = url + "#" + link.id;
        innerContent += "<li><a href=\"" + fullUrl + " \" class=''>" + link.attributes.name.value + "</a></li>"
    });

    console.log(innerContent)

    let menu;
    menu = document.getElementById("menu-scroll-spy");

    menu.innerHTML = innerContent


    // Activate Scrollspy
    $('.entry-content').scrollspy({
      target: '#nav_menu-4'
    });

    $('.entry-content').scrollspy({
      target: '#nav_menu-7'
    });
  
    // Refresh Scrollspy
    $('[data-spy="scroll"]').each(function () {
      $(this).scrollspy("refresh");
    });
  

  });



  document.addEventListener("DOMContentLoaded", function(event) {
    var elements = document.querySelectorAll('.view-team-member-button');
  
  
    elements.forEach(function(element) {
      element.addEventListener('click', function() {
  
        for (elem of document.getElementsByClassName("view-team-member-bio")) {
            elem.classList.remove("view-team-member-bio");
        }
        
        this.closest(".team-member-wrapper").classList.add('view-team-member-bio');
        this.parentNode.classList.remove('visible');
      })
    });
  });
  
  document.addEventListener("DOMContentLoaded", function(event) {
    var elements = document.querySelectorAll('.hide-team-member-button');
    elements.forEach(function(element) {
      element.addEventListener('click', function() {
        this.parentNode.parentNode.classList.remove('view-team-member-bio');
      })
    });
  });